﻿namespace SeleniumToolkit.Core
{
    /// <summary>
    /// Represents a Selenium Host Process
    /// </summary>
    public interface ISeleniumProcess
    {
        /// <summary>
        /// Starts the Process
        /// </summary>
        void Start();

        /// <summary>
        /// Stops the Process
        /// </summary>
        void Stop();

        /// <summary>
        /// Flag to indicate if the process is running
        /// </summary>
        bool Running { get; }
    }
}
