﻿using Selenium;

namespace SeleniumToolkit.Core
{
    /// <summary>
    /// Default selenium factory provider
    /// </summary>
    internal class DefaultSeleniumFactory : ISeleniumFactoryProvider
    {
        #region ISeleniumFactory Members

        public ISelenium Create(string serverHost, int serverPort, string browserProfile, string baseUrl)
        {
            return new DefaultSelenium(serverHost, serverPort, browserProfile, baseUrl);
        }

        #endregion
    }
}
